diff -Naur Doomsday Data Files.old/ai/can_1943.ai Doomsday Data Files/ai/can_1943.ai
--- Doomsday Data Files.old/ai/can_1943.ai	1970-01-01 01:00:00.000000000 +0100
+++ Doomsday Data Files/ai/can_1943.ai	2008-12-01 21:31:17.000000000 +0100
@@ -0,0 +1,486 @@
+# reworked by Spocky for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
+
+switch = no # [yes/no]
+max_front_ratio = 4.0 
+max_garrison_prop = 0.30
+min_garrison_prop = 0.20
+neutrality = 50 
+war = 20
+strat_redeploy_threshold = 25
+exp_force_ratio = 0.750 
+exp_force_ratios = {
+	ENG = 1.0
+} 
+
+###################################
+# Diplomacy
+###################################
+combat = { }
+
+# Special resistance against "influence" by the listed nations. Value range = [0 - 10]  
+resistance = {  
+	GER = 2 
+	JAP = 1
+	ITA = 1
+}
+befriend = {
+	USA = 100
+}
+protect = {
+	USA = 100
+	ENG = 100
+}
+target = { } 
+trade = {
+	energy 		= -1
+	rare_materials 	= -1
+	metal 		= -1
+	oil 		= -1
+	supplies 	= -1
+	money 		= -1
+
+	favored = {
+		USA = 100
+		ENG = 100
+		FRA = 80 
+		NZL = 80 
+		AST = 80
+		SAF = 80
+	}
+	embargo = { }
+}
+tech_sharing = {
+	favored = {
+		USA = 100
+		ENG = 100
+		FRA = 80 
+		NZL = 80 
+		AST = 80
+		SAF = 80
+	}
+	embargo = { }
+	not = { }
+	prioritized = {	}
+}
+
+###################################
+# Construction and Tech Research
+###################################
+#Default values
+construction = { 
+	max_factor = 0.500 
+
+	AA_batteries = no
+	max_AA_level = 6
+	AA_provs = { 
+
+	}
+
+	coastal_fort = no
+	max_coastal_level = 3
+	coastal_fort_provs = { } 
+
+	radar_station = no 
+	max_radar = 5 
+	radar_provs = { } 
+
+	air_base = atwar
+	max_air_base = 2 
+	air_base_provs = { } 
+
+	naval_base = no 
+	max_naval_base = 5 
+	naval_base_provs = { } 
+
+	land_fort = no
+	max_land_level = 2
+	fort_borders = { } 
+
+	ic_at_war = yes 
+	force_ic_until = 1939
+	ic_end_year = 1940
+	IC_provs = {
+		588 # Ottawa
+		586 # Quebec City
+		589 # Toronto
+		585 # Montreal
+		569 # Winnipeg
+		797 # Calgary
+		541 # Vancouver
+		
+	} 
+}
+military = { 
+	relative_build_scheme 	= yes
+	max_batch_peace 	= 540 
+	max_batch_war 		= 540 
+	max_batch_home_front 	= 540
+
+	#### Divisions etc...
+	infantry 	= 0
+	cavalry 	= 0
+	motorized 	= 20
+	mechanized 	= 0
+	light_armor 	= 0
+	armor 		= 10
+	paratrooper 	= 0
+	marine 		= 0
+	bergsjaeger 	= 5
+	garrison	= 0
+      	hq 		= 5
+	militia 	= 0
+#				40 %
+	interceptor 	= 0
+	multi_role 	= 0
+	escort 		= 0
+	cas 		= 0
+	strategic_bomber = 0
+	tactical_bomber = 15
+	naval_bomber 	= 0
+	transport_plane = 0
+	flying_bomb 	= 0
+	flying_rocket 	= 0
+#				15 %
+	battleship 	= 0
+	carrier 	= 0
+	destroyer 	= 15
+	light_cruiser 	= 5
+	heavy_cruiser 	= 0
+	battlecruiser 	= 0
+	submarine 	= 0
+	transports 	= 25
+#				45 %
+
+	#### Brigades
+	artillery 		= 20
+	sp_artillery 		= 10
+	rocket_artillery	= 0 
+	sp_rct_artillery 	= 0
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 10
+	super_heavy_armor 	= 0
+	armored_car 		= 10
+	anti_air 		= 0
+	police 			= 10	
+	engineer 		= 10
+
+	cag = 100.000
+}
+
+technology = { 
+	endgoal 	= { } 
+	preference 	= { 
+			# inf
+			1310 1320 1330 1340 1350 1360 # supply 
+			1010 1020 1030 1040 1050 1060 # inf 
+			1110 1120 1130 1140 # mountie
+			 
+			# tank & ARI 
+			2150 2160 # AC 
+			2290 2300 2310 2320 2340 2350 2360 # ARI 
+			2100 2110 2120 # heavy tanks 
+			 
+			# navy 
+			3010 3020 3040 3050 3060 # destroyer			 
+			3070 3080 3090 3100 3110 # lc
+
+			# industry 
+			5010 5020 5030 5040 #  agriculture 
+			5050 5060 5070 5080 5090 5100 5110 5120 5130 # industry 
+			 
+			# nav docs 
+			8200  8130
+			} 
+	ignore 		= { 
+			#Inf
+			1080 1090 1100 # Para
+			1150 1160 1170 1180 # marine			 
+			 
+			#ARI & Tank	
+			2130 # super heavy
+			2260 2270 2280 # SP Rock
+			2370 2380 2390 # rock
+			2470 2480 2490  # AA
+			2170 2180 2190 2200 2210 # SP AT 
+			 
+			#Mavy 
+			3190 3200 3210 3220 3230 #BC
+			3310 # SH BB
+			3430 3450 # sub 
+			3320 3330 3340 3350 3360 3370 # carrier 
+			3250 3260 3270 3280 3290 3300 # bb
+			12100 12110 12120 12130 12140 12150 # light  carrier
+			3130 3140 3150 3160 3170 # hc 
+			 
+			#Plane 
+			4070 4040 4100 # Fighter
+			4170 4280 4180 # cas 
+			4260 4270 # Transport
+			4220 4230 4240 # strat
+ 
+			#industry 
+			5550 5560 5570 5580 5590 # rocket
+			5190 5200 5210 5220 5230 # oil 
+			5470 5480 5490 5500 5510 5520 5530 5540 # nuclear 
+			5170 # rocket assembly 
+			 
+			# landdocs 
+			6160 6170 6190 6200			 
+			# airdocs
+			9040 9050 9060 9070 9080
+			9270 9280 9290 9300
+			9140 9150 9160 9170 9180 
+			9430 9440 9450 9460 
+			9230 9240 9250 9260 
+			9390 9400 9410 9420 
+		}
+ 
+	armor 		= 4 
+	infantry 	= 4
+	industry 	= 4
+	aircraft 	= 4
+	naval 		= 2
+	land_doctrines 	= 3
+	secret_weapons 	= 1
+	air_doctrines 	= 2
+	naval_doctrines = 2
+}  
+
+###################################
+# Ground Combat, Leaders and Garrisons
+###################################
+leader_ratio = {
+	land_field_marshal	= 0.056 # = 1/18
+	land_general		= 0.074 # = 1/13.5
+	land_lt_general		= 0.333 # = 1/3
+
+	sea_grand_admiral	= 0.033 # = 1/30
+	sea_admiral		= 0.056 # = 1/18
+	sea_vice_admiral	= 0.083 # = 1/12
+
+	air_marshal		= 0.063 # = 1/16
+	air_general		= 0.125 # = 1/8
+	air_lt_General		= 0.250 # = 1/4
+}
+
+garrison = {
+	defend_overseas_beaches = yes
+	home_multiplier 	= 1.0
+	overseas_multiplier 	= 0.5
+	home_peace_cap 		= 20
+	war_zone_odds 		= 2.0
+	key_point_prio_mult	= 0
+	revolt_risk_mult	= 1.0
+
+	# PRIORITIES:
+	beach			= 20	# Beach level 2
+	capital			= 40	# Our capital
+	human_border		= 100	# Ignored for allied human players
+	war_target		= 150	# The next country targeted for attack by this AI
+	
+	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
+	claim_threat		= 0	# If we are neutral, countries with claims on us get this
+	unstable_border		= 0	# Bordering countries at war with someone else get this
+
+	# Borders with specific countries
+	country_priorities = {
+		USA = -1
+		GER = 100
+		ITA = 100
+		JAP = 100
+	}
+	province_priorities = {	}
+	area_multiplier = { }
+}
+front = { 
+	recklessness 		= 1 # 0-3
+	distrib_vs_ai 		= even
+	distrib_vs_human 	= even
+
+	enemy_reinf_days	= 6
+	reserve_prop		= 0.1
+	panic_ratio_vs_ai	= 2.5
+	panic_ratio_vs_human	= 2.5
+	base_attack_odds	= 1.5
+	min_attack_odds		= 1.2
+	max_attack_odds		= 3.0
+	reinforce_odds		= 1.2
+	withdraw_odds		= 0.6
+
+	strength 	= 1.0
+	organisation 	= 2.0
+	soft_attack 	= 1.0
+	hard_attack 	= 2.0
+	ground_defense 	= 1.0
+	dig_in 		= 1.25 # Against defender
+
+      	enemy_handicap = { } 
+      	passivity = { } 
+} 
+
+###################################
+# Invasions and Naval
+###################################
+invasion = { 
+	invasion 	= yes
+
+ 	base		= 0.1	#Relative modifier. (lower = specific targets much more important.)
+	random		= 8.0	#How big a random range.  (1.0 = 1%)
+	coastal		= 0.1	#increase to avoid coastal forts more.
+	beach		= 0.1	#higher, avoid worst beaches.
+	distance	= 1.0	#higher = avoid long distance.
+	pocket		= 20.0	#prioritise pockets, ie provinces with no adjacent controlled by same.
+	island		= 0.1	#prioritise taking pure islands.
+	enemy		= 2.0	#higher = much more vary of troops in province.
+	adjacentenemy 	= 2.0	#higher = much more vary of troops nearby
+	air_base	= 1.5 
+      	naval_base 	= 0.1 
+      	air_support 	= 3.0 
+      	redirect 	= priority
+	ignore		= no
+      staging_province = {
+		23 
+	}
+	target = { } 
+} 
+admiral = {
+ignore = {
+
+# Pacific
+"Luzon Strait"
+"Philipine Trench"
+"Coast of Brunei"
+"Flores Sea"
+"Molucca Sea"
+"Banda Sea"
+"West Coral Sea"
+"Sulu Sea"
+"Celebes Sea"
+"Arafura Sea"
+"Java Ridge"
+"Malacca Strait"
+"Gulf of Siam"
+"Spratly Sea"
+"Coast of Indochina"
+"Taiwan Strait"
+"Sea of Japan"
+"North Bismarck Sea"
+"South Bismarck Sea"
+"Marianas"
+"Marshalls Sea"
+"Western Solomons"
+"Eastern Solomons"
+"East Coral Sea"
+"Coast of Japan"
+"Solomon Sea"
+"North Tasman Sea"
+"South Tasman Sea"
+"East Great Australian Bight"
+"West Great Australian Bight"
+"Aleutians"
+"Carolines"
+"Central Philippine Sea"
+"Coast of Kamchatka"
+"East Bering Sea"
+"East Mariana Basin"
+"East Sea of Okhotsk"
+"Gulf of Alaska"
+"Hawaiian Rise"
+"Mariana Trench"
+"Mid-Pacific Mountains"
+"North Northeast Pacific Basin"
+"Northwest Pacific Basin"
+"Ryukyus"
+"South Sea of Okhotsk"
+"Timor Sea"
+"West Bering Sea"
+"West Coast of Australia"
+"West Coast of Mexico"
+"West Coast of the United States"
+"West Sea of Okhotsk"
+"Yellow Sea"
+"Fiji Basin"
+"Gilberts"
+"Line Islands"
+"North East Pacific Ocean"
+"South East Pacific Ocean"
+"East Cost of New Zealand"
+"North Southeast Pacific Ocean"
+"South Southeast Pacific Ocean"
+"Southeast Pacific Basin"
+"Southwest Pacific Basin"
+"West Coast of Central America"
+"West Coast of Chile"
+"West Coast of Peru"
+"Coast of New Guinea"
+
+# Indian Ocean
+"Red Sea"
+"Persian Gulf"
+"Coast of Ceylon"
+"East Bay of Bengal"
+"Ninetyeast Ridge"
+"Java Trench"
+"West Bay of Bengal"
+"Mascarene Plateau"
+"Mid-Indian Ridge"
+"North Arabian Sea"
+"North Mozambique Channel"
+"Northeast Coast of Madagascar"
+"South Arabian Sea"
+"South Mozambique Channel"
+"Southeast Coast of Madagascar"
+"Southeast Indian Ocean"
+"Southwest Indian Ocean"
+"Horn of Africa"
+
+# Baltic Sea
+"Bothnian Bay"
+"Northern Baltic"
+"Southern Baltic"
+
+# South Atlantic
+"Coast of Brazil"
+"Cap Verde"
+"Gulf of Guinea"
+"Coast of Africa"
+"Coast of Bissao"
+"Guiana Basin"
+"South-Central Mid-Atlantic Ridge"
+"Atlantic-Indian Ridge"
+"Coast of South Africa"
+"Coast of Angola-Namibia"
+"Angola Plain"
+"Argentine Plain"
+"Coast of Argentina"
+"Coast of Uruguay"
+"Coast of Guyana"
+"Coast of Recife"
+"Pernambuco Plain"
+"Ascension Fracture Zone"
+}
+}
+
+###################################
+# Intelligence
+###################################
+spyprefs = {
+	percentage_on_spies = 0.2
+	percentage_foreign_mission = 0.7
+
+	spyprefsdata = {
+		country_priorities = 10
+		min_number_of_spies = 5
+		NumberOfSpies = 10
+		counter_espionage = 10
+		country = CAN
+	}
+}
+
+air_marshal = {
+	min_mission_strength_org = 0.7
+}
